gnutls_x509_crt_set_proxy(3)

NAME
gnutls_x509_crt_set_proxy - Set the proxyCertInfo extension

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_proxy(gnutls_x509_crt_t crt, int pathLenConstraint, const char * policyLanguage, const char * policy, size_t sizeof_policy);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t structure

int pathLenConstraint
    non-negative values indicate maximum length of path, and negative values indicate that the pathLenConstraints field should not be present.

const char * policyLanguage
    OID describing the language of policy.

const char * policy
    opaque byte array with policy language, can be NULL

size_t sizeof_policy
    size of policy.

DESCRIPTION
This function will set the proxyCertInfo extension. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.